package org.jeecg.modules.basedata.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.basedata.entity.FdPersonnel;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * @Description: 人员表
 * @author： jeecg-boot
 * @date：   2019-05-09
 * @version： V1.0
 */
public interface IFdPersonnelService extends IService<FdPersonnel> {
    Map<String, Object> getPageFdPersonnel(Map<String,Object> mp);

    FdPersonnel getByIdPersonnel(String id);

    /**
     * licc 查询审批人员信息
     * @return
     */
    public List<FdPersonnel> queryApprover();

    List<FdPersonnel> getPersonnelByRole(String roleId);

    List<Map<Object, Object>> getPersonnelOrDepart();

    String queryNameByCode(String code);

    IPage<FdPersonnel> findByPage(Page<FdPersonnel> page,QueryWrapper<FdPersonnel> queryWrapper);

    /**
    * @Author chenchuang
    * @Description //TODO 自写修改
    * @Date 2020/8/19 17:06
    * @Param [fdPersonnel]
    * @return boolean
    */
    boolean personnelUpdate(FdPersonnel fdPersonnel);
}
